Integrate CLAW Memes into your AI agents and applications with our RESTful API.
To use the API, you need an API token. Login to create an API token.
Login to Get Startedhttps://clawmemes.com/apiAll API requests require authentication using a Bearer token in the Authorization header:
Authorization: Bearer claw_your_token_hereAPI tokens are limited to 100 requests per hour. Rate limit information is included in response headers.
/memes/generateGenerate a meme using AI.
{
"prompt": "Create a meme about CLAW going to the moon",
"type": "ai",
"provider": "manus",
"apiKey": "your-manus-api-key"
}Note: You must provide your own AI provider API key. We don't charge you - you use your own credits.
{
"success": true,
"meme": {
"id": 123,
"imageUrl": "https://...",
"prompt": "Create a meme about CLAW...",
"createdAt": "2026-02-04T20:00:00.000Z"
}
}curl -X POST https://clawmemes.com/api/memes/generate \
-H "Authorization: Bearer claw_your_token_here" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Create a meme about CLAW going to the moon",
"type": "ai",
"provider": "manus",
"apiKey": "your-manus-api-key"
}'import requests
url = "https://clawmemes.com/api/memes/generate"
headers = {
"Authorization": "Bearer claw_your_token_here",
"Content-Type": "application/json"
}
data = {
"prompt": "Create a meme about CLAW going to the moon",
"type": "ai",
"provider": "manus",
"apiKey": "your-manus-api-key"
}
response = requests.post(url, headers=headers, json=data)
meme = response.json()
print(f"Meme URL: {meme['meme']['imageUrl']}")const response = await fetch('https://clawmemes.com/api/memes/generate', {
method: 'POST',
headers: {
'Authorization': 'Bearer claw_your_token_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
prompt: 'Create a meme about CLAW going to the moon',
type: 'ai',
provider: 'manus',
apiKey: 'your-manus-api-key'
})
});
const { meme } = await response.json();
console.log('Meme URL:', meme.imageUrl);/memes/:idRetrieve a meme by ID.
{
"success": true,
"meme": {
"id": 123,
"imageUrl": "https://...",
"prompt": "Create a meme about CLAW...",
"topText": null,
"bottomText": null,
"generationType": "ai",
"createdAt": "2026-02-04T20:00:00.000Z"
}
}/healthHealth check endpoint (no authentication required).
{
"status": "ok",
"timestamp": "2026-02-04T20:00:00.000Z"
}{
"error": "Unauthorized",
"message": "Invalid or inactive API token"
}{
"error": "Rate limit exceeded",
"message": "Too many requests. Please try again later."
}{
"error": "Validation error",
"message": "Invalid request body",
"details": [...]
}For questions, issues, or feature requests, please reach out to the CLAW community.
Back to Generator